var searchData=
[
  ['padding',['PADDING',['../namespacealexa_client_s_d_k_1_1media_player_1_1test.html#aceef7f9f8056176bc846892e2ae74b49',1,'alexaClientSDK::mediaPlayer::test']]],
  ['pair',['pair',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_interface.html#a17281750dd83eee052ddabff826321e5',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceInterface::pair()'],['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_bluetooth_device.html#a5087945f0307e0cc43d50b860c112041',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZBluetoothDevice::pair()']]],
  ['parse',['parse',['../namespaceandroid__test.html#a5368cd735617e26888f2deab61524c77',1,'android_test']]],
  ['parse_5foutput',['parse_output',['../namespaceandroid__test.html#a9632bf71e37356047a0e5d799b454c1d',1,'android_test']]],
  ['parsealertassetconfigurationfromjson',['parseAlertAssetConfigurationFromJson',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ae5e5a11e1b282515ca4c96f9cfd051f3',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['parsebyterange',['parseByteRange',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#a8fed7a3aa94d12e37615fe4e99ff45a9',1,'alexaClientSDK::playlistParser']]],
  ['parsedirective',['parseDirective',['../classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_exception_encountered_sender.html#ac0978e260c1eb7b35bb2df67d5b1e627',1,'alexaClientSDK::integration::test::TestExceptionEncounteredSender']]],
  ['parsedirectivepayload',['parseDirectivePayload',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1bluetooth.html#aa5b5af5a6944da323afe9ebc3869bd53',1,'alexaClientSDK::capabilityAgents::bluetooth::parseDirectivePayload()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb.html#a9bd2df54b5fa192d585e5e2801a45fcd',1,'alexaClientSDK::capabilityAgents::doNotDisturb::parseDirectivePayload()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1equalizer.html#a9c0182958894b46d57a6188128ca191b',1,'alexaClientSDK::capabilityAgents::equalizer::parseDirectivePayload()']]],
  ['parsedocument',['parseDocument',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a719082d7dc942c8a1a6533d5ef0b6fec',1,'alexaClientSDK::avsCommon::avs']]],
  ['parsefromjson',['parseFromJson',['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#a68c6dc82ed5d6ea056671d4709121008',1,'alexaClientSDK::capabilityAgents::alerts::Alert']]],
  ['parsefromjsonstatustostring',['parseFromJsonStatusToString',['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#ae0bdd47f3ccf22fb8241336cb6e31ab9',1,'alexaClientSDK::capabilityAgents::alerts::Alert']]],
  ['parseheader',['parseHeader',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a91331a188127c712bece8a610bc4e02c',1,'alexaClientSDK::avsCommon::avs']]],
  ['parsehlsbyterangeline',['parseHLSByteRangeLine',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#a53ab24579bf1d98f3868bef25650398c',1,'alexaClientSDK::playlistParser']]],
  ['parsehlsencryptionline',['parseHLSEncryptionLine',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#af612a94b24a20322e633ef86ae44eb82',1,'alexaClientSDK::playlistParser']]],
  ['parsehlsmapline',['parseHLSMapLine',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#a8450febbe475b0a5a9d834c661275640',1,'alexaClientSDK::playlistParser']]],
  ['parsejson',['parseJson',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a362c0a7ac050b0ebd2ffb78e1e80c2d2',1,'alexaClientSDK::capabilityAgents::aip::test::parseJson()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1json_1_1json_utils.html#a9c3445572979f4dca168edabf10c17ea',1,'alexaClientSDK::avsCommon::utils::json::jsonUtils::parseJSON()']]],
  ['parselwaresponse',['parseLWAResponse',['../namespacealexa_client_s_d_k_1_1authorization_1_1cbl_auth_delegate.html#a0c8e8494bc007cb43f18999047a0052a',1,'alexaClientSDK::authorization::cblAuthDelegate']]],
  ['parsem3ucontent',['parseM3UContent',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#af5de84beb501cf1ef8298bfec449bf02',1,'alexaClientSDK::playlistParser']]],
  ['parsepayload',['parsePayload',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a65318280fdde76710ca6a087848d02a5',1,'alexaClientSDK::avsCommon::avs']]],
  ['parseplaylist',['parsePlaylist',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_parser_interface.html#abfa98c53574b849ed706beeaa645577e',1,'alexaClientSDK::avsCommon::utils::playlistParser::PlaylistParserInterface::parsePlaylist()'],['../classalexa_client_s_d_k_1_1playlist_parser_1_1_playlist_parser.html#a9e2513c1816b1a56174a1124bf3982ed',1,'alexaClientSDK::playlistParser::PlaylistParser::parsePlaylist()']]],
  ['parseplaylistmediasequence',['parsePlaylistMediaSequence',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#aacdae9b4039e5610cf6b234da350f289',1,'alexaClientSDK::playlistParser']]],
  ['parseplscontent',['parsePLSContent',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#abd266a4bb7cd2e11b0e2bbbd252e3d2a',1,'alexaClientSDK::playlistParser']]],
  ['parseruntime',['parseRuntime',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#aae0034e7ac3f3520d96c407378b7fda3',1,'alexaClientSDK::playlistParser']]],
  ['parseuriattribute',['parseURIAttribute',['../namespacealexa_client_s_d_k_1_1playlist_parser.html#a3cdbcb510e7990fa4788fc6ad7332153',1,'alexaClientSDK::playlistParser']]],
  ['pause',['pause',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_target_interface.html#a08e8d24358b814664e185d754f764777',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPTargetInterface::pause()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a70d24d4c4d1a084168268b8e5b04a28e',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::pause()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a7352a3ad1c63e92bf19455f3abdd0e76',1,'alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface::pause()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1timing_1_1_stopwatch.html#ac997a222146d3fdf7f8c24035a94684a',1,'alexaClientSDK::avsCommon::utils::timing::Stopwatch::pause()'],['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html#a895da8bf748e64e838b311040a2b0c0d',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPTarget::pause()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a82e206a504e288fdb7355dc4f91d4b92',1,'alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer::pause()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_progress_timer_test.html#a6d3c0bf6f016fa112be022e106108a93',1,'alexaClientSDK::capabilityAgents::audioPlayer::test::ProgressTimerTest::pause()'],['../classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_media_player.html#a23ab9a699969fbfb02d43399a3664b27',1,'alexaClientSDK::integration::test::TestMediaPlayer::pause()'],['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#aaa23e4dd4692f0cc3a4ad481435af078',1,'alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::pause()'],['../classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#aeeb3334b462899a3bab9bb41e9f2f69e',1,'alexaClientSDK::mediaPlayer::MediaPlayer::pause()']]],
  ['payload',['PAYLOAD',['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a4419f503e86a68eac4adb0726c44f820',1,'alexaClientSDK::avsCommon::test']]],
  ['payload_5ftest',['PAYLOAD_TEST',['../namespacealexa_client_s_d_k_1_1adsl_1_1test.html#ab35d2c88c5064f71ccd6d7f0936de7cf',1,'alexaClientSDK::adsl::test::PAYLOAD_TEST(&quot;payloadForTest&quot;)'],['../namespacealexa_client_s_d_k_1_1adsl_1_1test.html#ab35d2c88c5064f71ccd6d7f0936de7cf',1,'alexaClientSDK::adsl::test::PAYLOAD_TEST(&quot;payloadForTest&quot;)'],['../namespacealexa_client_s_d_k_1_1adsl_1_1test.html#ab35d2c88c5064f71ccd6d7f0936de7cf',1,'alexaClientSDK::adsl::test::PAYLOAD_TEST(&quot;payloadForTest&quot;)'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1test.html#a1f2421e7408d84208ebe69c02ac998a7',1,'alexaClientSDK::avsCommon::test::PAYLOAD_TEST()']]],
  ['peek',['peek',['../classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html#ab631db6e3015e95055d75a32eb8d0b5c',1,'alexaClientSDK::capabilityAgents::notifications::NotificationsStorageInterface::peek()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html#a14d6ed111789ee4f6dc2a131c8db2142',1,'alexaClientSDK::capabilityAgents::notifications::SQLiteNotificationsStorage::peek()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_storage.html#a98f1cf571a849d814048f4447c89c8ad',1,'alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsStorage::peek()']]],
  ['perform',['perform',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#a0cf6f335a77e6f51e4e94353ba6005a0',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper::perform()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_multi_handle_wrapper.html#a0f5e755849bb74db462ea6f83a62b0f2',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::CurlMultiHandleWrapper::perform()']]],
  ['performcurlchecks',['performCurlChecks',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils.html#a3918e30f6e97b9a734e575539ff6ffb7',1,'alexaClientSDK::avsCommon::utils::libcurlUtils']]],
  ['performquery',['performQuery',['../classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html#a0bcb4153566abd6ab3e2a29258129259',1,'alexaClientSDK::storage::sqliteStorage::SQLiteDatabase::performQuery()'],['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#ad0fc61e51b07d23d55a8a4ca4659f476',1,'alexaClientSDK::storage::sqliteStorage::performQuery()']]],
  ['ping_5ftransfer_5ftimeout',['PING_TRANSFER_TIMEOUT',['../namespacealexa_client_s_d_k_1_1acl.html#a3d15825494cf444664829ba88bad745b',1,'alexaClientSDK::acl']]],
  ['play',['play',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_target_interface.html#aae35a2bd2026e318d49f009dac35416d',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPTargetInterface::play()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a2bd648268d8afaf23312dad7e21238ad',1,'alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface::play()'],['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html#ad402ccd31edfa9e1df02a9d0d019052b',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPTarget::play()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1renderer_1_1test_1_1_test_media_player.html#aca9ac34e507c2afdc970e4e3f1824e5a',1,'alexaClientSDK::capabilityAgents::alerts::renderer::test::TestMediaPlayer::play()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test_1_1_progress_timer_test.html#a1315082214a3f09f174485045bcb0805',1,'alexaClientSDK::capabilityAgents::audioPlayer::test::ProgressTimerTest::play()'],['../classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_media_player.html#ac483a28357da39a4b8daa0bd4bc990ac',1,'alexaClientSDK::integration::test::TestMediaPlayer::play()'],['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_player.html#a36eb643712a0bb96acdd43632e4d3a88',1,'alexaClientSDK::mediaPlayer::android::AndroidSLESMediaPlayer::play()'],['../classalexa_client_s_d_k_1_1media_player_1_1_media_player.html#a6e3f97c24a5ee8cf5ad698de4ff70362',1,'alexaClientSDK::mediaPlayer::MediaPlayer::play()']]],
  ['play_5frequest_5fid_5ftest',['PLAY_REQUEST_ID_TEST',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a6ec4f88157a3eecf13f4bb1c0aa47776',1,'alexaClientSDK::capabilityAgents::audioPlayer::test']]],
  ['playbackbuttontostring',['PlaybackButtonToString',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ad7264635c4a1097b3ecdfa9e93f53ce6',1,'alexaClientSDK::avsCommon::avs']]],
  ['playbackcommand',['PlaybackCommand',['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#ae67658d7d1da6372fe8cdf952422783a',1,'alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand']]],
  ['playbackconfiguration',['PlaybackConfiguration',['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#a0c3293be4f1463420913e259677a132b',1,'alexaClientSDK::mediaPlayer::android::PlaybackConfiguration::PlaybackConfiguration()'],['../classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#afb91ff27d447b2c3d72e96fcddebfb92',1,'alexaClientSDK::mediaPlayer::android::PlaybackConfiguration::PlaybackConfiguration(const bool isLittleEndian, const size_t sampleRate, const ChannelLayout layout, const SampleFormat sampleFormat)']]],
  ['playbackloop',['playbackLoop',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#adc1522714b3c40531c34535505b3dc57',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackmessagerequest',['PlaybackMessageRequest',['../classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_message_request.html#a03427c9fae14e6b201ba21772fd46a5c',1,'alexaClientSDK::capabilityAgents::playbackController::PlaybackMessageRequest']]],
  ['playbacknext',['playbackNext',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a49ea3646bd4dcf21f510542c4bef3c6f',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackpause',['playbackPause',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#adb300f1aa1e3fe031c18d16579858172',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackplay',['playbackPlay',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a7d8b6646a3f508f09b6244bb839538ee',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackprevious',['playbackPrevious',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#ac57e3dfb62530c3b3a7dcd32c21878e6',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackrepeat',['playbackRepeat',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a9d63ff63c3b18ff8e2410bdb8cf5fbbf',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackshuffle',['playbackShuffle',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a4d07e8481dafff5cbf1bde2f2bf561bd',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackskipbackward',['playbackSkipBackward',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a1218ca1c6ab590f0edaeccc609be3a31',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackskipforward',['playbackSkipForward',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#af7e42d55d02c269f4840d15569aaf481',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackthumbsdown',['playbackThumbsDown',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#aa507ee46fd61be9b303a9c2cef7b7f1d',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbackthumbsup',['playbackThumbsUp',['../classalexa_client_s_d_k_1_1sample_app_1_1_interaction_manager.html#a9b9e60f6bc38b657f11e146e5c8ad502',1,'alexaClientSDK::sampleApp::InteractionManager']]],
  ['playbacktoggletostring',['PlaybackToggleToString',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a47d588d1db074cdc76e6685478d827e7',1,'alexaClientSDK::avsCommon::avs']]],
  ['playbehaviortostring',['playBehaviorToString',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player.html#aa7242ee7592f37b8a50a026b49573dcb',1,'alexaClientSDK::capabilityAgents::audioPlayer']]],
  ['player_5ferror_5fevent',['PLAYER_ERROR_EVENT',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a292afcd1f4732ea4264b830f2c6f9cbc',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['player_5fevent',['PLAYER_EVENT',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1external_media_player.html#a288e6cd3325c3d7f85bc865d2488ad6d',1,'alexaClientSDK::avsCommon::avs::externalMediaPlayer']]],
  ['player_5ffinished_5ftimeout',['PLAYER_FINISHED_TIMEOUT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1test.html#aaca6ce0c73e6f9356cbd8716dd9bc6df',1,'alexaClientSDK::capabilityAgents::templateRuntime::test']]],
  ['playeractivitytostring',['playerActivityToString',['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ac22c7f4a86b0b02590b378298278fef4',1,'alexaClientSDK::avsCommon::avs']]],
  ['playitem',['PlayItem',['../structalexa_client_s_d_k_1_1playlist_parser_1_1_play_item.html#a6ac7c433b666e4b19c5b38cfe4891863',1,'alexaClientSDK::playlistParser::PlayItem::PlayItem(std::string playlistURL)'],['../structalexa_client_s_d_k_1_1playlist_parser_1_1_play_item.html#a06e29965a46f3ac6083734a7ba364611',1,'alexaClientSDK::playlistParser::PlayItem::PlayItem(avsCommon::utils::playlistParser::PlaylistEntry playlistEntry)']]],
  ['playlistentry',['PlaylistEntry',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_playlist_entry.html#a121273d2a0cefc44af69877f485bea06',1,'alexaClientSDK::avsCommon::utils::playlistParser::PlaylistEntry']]],
  ['poll_5ftimeout_5fms',['POLL_TIMEOUT_MS',['../namespacealexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z.html#a7a4f9388afcf636dad541658ad978849',1,'alexaClientSDK::bluetoothImplementations::blueZ']]],
  ['popnotificationindicatorlocked',['popNotificationIndicatorLocked',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a561d5a963078a58a9eb94a68dbcedd0f',1,'alexaClientSDK::capabilityAgents::notifications']]],
  ['portaudio_5fconfig_5froot_5fkey',['PORTAUDIO_CONFIG_ROOT_KEY',['../namespacealexa_client_s_d_k_1_1sample_app.html#a0c051ab3baafa0971611e94f452de8a6',1,'alexaClientSDK::sampleApp']]],
  ['portaudio_5fconfig_5fsuggested_5flatency_5fkey',['PORTAUDIO_CONFIG_SUGGESTED_LATENCY_KEY',['../namespacealexa_client_s_d_k_1_1sample_app.html#a84bc92b0b5594e26c818a883146ff4b2',1,'alexaClientSDK::sampleApp']]],
  ['prefetchstatuscallback',['prefetchStatusCallback',['../namespacealexa_client_s_d_k_1_1media_player_1_1android.html#ad27e1ddfcd46aac94756c6bd15ee91cf',1,'alexaClientSDK::mediaPlayer::android']]],
  ['prehandledirective',['preHandleDirective',['../classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html#a0df6d0f2e0bf3f5735e8e8342c5539a5',1,'alexaClientSDK::adsl::DirectiveRouter::preHandleDirective()'],['../classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_handler_mock_adapter.html#a206c1202ff746abfcf23b7d7ca2cb9d1',1,'alexaClientSDK::adsl::test::DirectiveHandlerMockAdapter::preHandleDirective(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::unique_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result) override'],['../classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_handler_mock_adapter.html#af9f6507ffc1a085de6e8083a3bd2a37b',1,'alexaClientSDK::adsl::test::DirectiveHandlerMockAdapter::preHandleDirective(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::shared_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result)=0'],['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a6643447cdbecc1e49e14532b0cc83cf1',1,'alexaClientSDK::avsCommon::avs::CapabilityAgent::preHandleDirective(std::shared_ptr&lt; AVSDirective &gt; directive, std::unique_ptr&lt; sdkInterfaces::DirectiveHandlerResultInterface &gt; result) override final'],['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#a2c1af56e9bc7728dd0e0918db81fc0be',1,'alexaClientSDK::avsCommon::avs::CapabilityAgent::preHandleDirective(std::shared_ptr&lt; DirectiveInfo &gt; info)=0'],['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_mock_capability_agent.html#ae084b24af775732abeca0c1e2838d466',1,'alexaClientSDK::avsCommon::test::MockCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_1_1_test_directive_handler.html#a8a359dc383150e53d14373c20ad168f0',1,'alexaClientSDK::avsCommon::avs::test::TestDirectiveHandler::preHandleDirective()'],['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d',1,'alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#aea9c8ddfe130f3609c6258268c576a2f',1,'alexaClientSDK::capabilityAgents::aip::AudioInputProcessor::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alerts_capability_agent.html#a695225803da43c58e2943233ed0a450c',1,'alexaClientSDK::capabilityAgents::alerts::AlertsCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_player.html#ad4e9e451b17a498e02ba904214a12eae',1,'alexaClientSDK::capabilityAgents::audioPlayer::AudioPlayer::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1bluetooth_1_1_bluetooth.html#ad2569f11c6d958436b2177e180028725',1,'alexaClientSDK::capabilityAgents::bluetooth::Bluetooth::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1do_not_disturb_1_1_do_not_disturb_capability_agent.html#ab7121557cf0eabfd2331d7c837b950b9',1,'alexaClientSDK::capabilityAgents::doNotDisturb::DoNotDisturbCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1equalizer_1_1_equalizer_capability_agent.html#a6235d5725c261f2fc2bd79b4b9abf08f',1,'alexaClientSDK::capabilityAgents::equalizer::EqualizerCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#a155ab4a13a22cef56d02f7e53310dd46',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1interaction_model_1_1_interaction_model_capability_agent.html#a0852ecd2c570171e5e60863d44a36aba',1,'alexaClientSDK::capabilityAgents::interactionModel::InteractionModelCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1mrm_1_1_m_r_m_capability_agent.html#aa418e52e1d9aad6ee97ca18bdf1e709e',1,'alexaClientSDK::capabilityAgents::mrm::MRMCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html#a0af16a576f01098957b75e7ea4b2c45f',1,'alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgent::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1speaker_manager_1_1_speaker_manager.html#a781314696e570387bafc7b00ab6942c3',1,'alexaClientSDK::capabilityAgents::speakerManager::SpeakerManager::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html#a89780faab8b445d1655c49a6bee59a90',1,'alexaClientSDK::capabilityAgents::speechSynthesizer::SpeechSynthesizer::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_endpoint_handler.html#a7514d62f8fbc344b74487e4916434205',1,'alexaClientSDK::capabilityAgents::system::EndpointHandler::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_revoke_authorization_handler.html#a11545ed0fcdc0d308f6b9a2e3ecbb615',1,'alexaClientSDK::capabilityAgents::system::RevokeAuthorizationHandler::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html#a50a8ae824fa12aff4e53e372bc2b1076',1,'alexaClientSDK::capabilityAgents::system::SoftwareInfoSender::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_user_inactivity_monitor.html#a75bb258110baaa024fbe8283b0a34301',1,'alexaClientSDK::capabilityAgents::system::UserInactivityMonitor::preHandleDirective()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1template_runtime_1_1_template_runtime.html#a99e7dfaba76a15aa5f37de340e155e65',1,'alexaClientSDK::capabilityAgents::templateRuntime::TemplateRuntime::preHandleDirective()'],['../classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1',1,'alexaClientSDK::integration::test::TestDirectiveHandler::preHandleDirective()']]],
  ['preparefortls',['prepareForTLS',['../namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils.html#ae20c6835cf1bb6f0a644fab384c33126',1,'alexaClientSDK::avsCommon::utils::libcurlUtils']]],
  ['preprocess',['preprocess',['../classalexa_client_s_d_k_1_1media_player_1_1_base_stream_source.html#aa470bd17a8d1aaab9021f9bba41c6baf',1,'alexaClientSDK::mediaPlayer::BaseStreamSource::preprocess()'],['../classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a1cd97cedd9cc6e8d1822f84bb74facf3',1,'alexaClientSDK::mediaPlayer::SourceInterface::preprocess()']]],
  ['prettyprint',['prettyPrint',['../classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#adc5fd5d98b38c97380921119f2ed4929',1,'alexaClientSDK::sampleApp::ConsolePrinter::prettyPrint(const std::string &amp;stringToPrint)'],['../classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#a3a71b60b8e43ff666c3ecb440e67a422',1,'alexaClientSDK::sampleApp::ConsolePrinter::prettyPrint(std::initializer_list&lt; std::string &gt; lines)']]],
  ['prev_5ftoken_5ftest',['PREV_TOKEN_TEST',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1test.html#a763513e680515653e65cb695f162b261',1,'alexaClientSDK::capabilityAgents::audioPlayer::test']]],
  ['previous',['previous',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_target_interface.html#aa7a612e0d7e4c5dd84983ac9e5fe3368',1,'alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPTargetInterface::previous()'],['../classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html#ae0e43463a7d537116bafd925efee3a40',1,'alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPTarget::previous()']]],
  ['printalertssummary',['printAlertsSummary',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage.html#a098a81113277b033356b87e86ac0912d',1,'alexaClientSDK::capabilityAgents::alerts::storage']]],
  ['printcommscontrolscreen',['printCommsControlScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a4d9f2e511aeb65bc88c51588deeaef96',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printcommsnotsupported',['printCommsNotSupported',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a5905b75b164604980e39f77ccb17e69a',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printdiagnostic',['printDiagnostic',['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1_alert.html#acd2c7b8705a6d9e1a2cd8ef216a5a047',1,'alexaClientSDK::capabilityAgents::alerts::Alert']]],
  ['printdonotdisturbscreen',['printDoNotDisturbScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afbf232028b65b2e9773c9456e0412264',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printerrorscreen',['printErrorScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa54e27dcd794ec4e65f458a381df7710',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printespcontrolscreen',['printESPControlScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#acf68d80d403a735eb8ab8dff6bbdb847',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printespdataoverridenotsupported',['printESPDataOverrideNotSupported',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aee0ce9863a5f0525c5dcb391e8688f33',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printespnotsupported',['printESPNotSupported',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9a6004786ae1bbd272a4348600c78215',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printfirmwareversioncontrolscreen',['printFirmwareVersionControlScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a408fffbd2c3386521f2612f807f1d1c9',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printhelpscreen',['printHelpScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aa052e8363a53efbaec26388afe272445',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printlimitedhelp',['printLimitedHelp',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a9e700d3b6c2b808d194b4f875555cd34',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printlocalescreen',['printLocaleScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#abaaa1463b6aa1f2d5b87496d3d422a04',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printonelinesummary',['printOneLineSummary',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage.html#ac50670bd35a82215d22f2703e33c51fd',1,'alexaClientSDK::capabilityAgents::alerts::storage']]],
  ['printreauthorizeconfirmation',['printReauthorizeConfirmation',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a0f803fb99dee35ddb55cbca72e1addc7',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printresetconfirmation',['printResetConfirmation',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aabe2d620b89188dd3e5ee89ec4ea32f1',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printresetwarning',['printResetWarning',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#aad5bd75d6644cdb6365dbf9091087581',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printsettingsscreen',['printSettingsScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afb41c9530fcfe52dd1f53e8cbb3728ca',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printspeakercontrolscreen',['printSpeakerControlScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#a6ef056935fa3018a6a4cada5086b1e5a',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printstats',['printStats',['../classalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_s_q_lite_alert_storage.html#a62d0b56765c02ba1bf92559304316752',1,'alexaClientSDK::capabilityAgents::alerts::storage::SQLiteAlertStorage']]],
  ['printvolumecontrolscreen',['printVolumeControlScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#ad99848073d7512fdaf1cae0ad85071a9',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['printwelcomescreen',['printWelcomeScreen',['../classalexa_client_s_d_k_1_1sample_app_1_1_u_i_manager.html#afe9e6730bf054582ee51af8e069eede6',1,'alexaClientSDK::sampleApp::UIManager']]],
  ['process_5finputs',['process_inputs',['../namespaceandroid__test.html#a2ca48b56fbd08baea14603ede15fc3f9',1,'android_test']]],
  ['processsamples',['processSamples',['../classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a494124a607f7c543a8fab84e7a455d82',1,'alexaClientSDK::speechencoder::EncoderContext::processSamples()'],['../classalexa_client_s_d_k_1_1speechencoder_1_1_opus_encoder_context.html#a1f98040f4b1b3e9f6ff2543f16a92628',1,'alexaClientSDK::speechencoder::OpusEncoderContext::processSamples()']]],
  ['progresstimer',['ProgressTimer',['../classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#a3dcd4c796edbc826163b0255e918109f',1,'alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer']]],
  ['promisefuturepair',['PromiseFuturePair',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair.html#a6c2f4b745365ab50f6de78f43733ddad',1,'alexaClientSDK::avsCommon::utils::PromiseFuturePair::PromiseFuturePair()'],['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_promise_future_pair_3_01void_01_4.html#a1717ff787bbc02c57fbd53d818934499',1,'alexaClientSDK::avsCommon::utils::PromiseFuturePair&lt; void &gt;::PromiseFuturePair()']]],
  ['providestate',['provideState',['../classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html#a27ffc2983f52a93427bcdcde829484c5',1,'alexaClientSDK::afml::AudioActivityTracker::provideState()'],['../classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html#ad36862324f796dccc2209c3451bdd3ca',1,'alexaClientSDK::afml::VisualActivityTracker::provideState()'],['../classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html#af056b26452e6c4ca5855a72ec2bfcde4',1,'alexaClientSDK::avsCommon::avs::CapabilityAgent::provideState()'],['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_state_provider_interface.html#a004b06801aa76cffab2fa2d4bc0b45e1',1,'alexaClientSDK::avsCommon::sdkInterfaces::StateProviderInterface::provideState()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_audio_player.html#a890a8422682e49f8bdc47b9b4843b426',1,'alexaClientSDK::capabilityAgents::audioPlayer::AudioPlayer::provideState()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1external_media_player_1_1_external_media_player.html#a411c285401048584df6a15b673925b34',1,'alexaClientSDK::capabilityAgents::externalMediaPlayer::ExternalMediaPlayer::provideState()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html#a4cbb86c475f7f293a1e26ac074dbbab0',1,'alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgent::provideState()'],['../classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1_speech_synthesizer.html#a9aff31d23a969bf5148f48052cd4cad2',1,'alexaClientSDK::capabilityAgents::speechSynthesizer::SpeechSynthesizer::provideState()'],['../classalexa_client_s_d_k_1_1context_manager_1_1test_1_1_mock_state_provider.html#a78a98ac6558b3dca13d9534ac0d65174',1,'alexaClientSDK::contextManager::test::MockStateProvider::provideState()'],['../classalexa_client_s_d_k_1_1integration_1_1test_1_1test_state_provider.html#adc405e21289aea2f6c6af9ae55873b68',1,'alexaClientSDK::integration::test::testStateProvider::provideState()']]],
  ['provideupdate',['provideUpdate',['../classalexa_client_s_d_k_1_1afml_1_1test_1_1_audio_activity_tracker_test.html#a1d227b2586cbef776efbedd318e93635',1,'alexaClientSDK::afml::test::AudioActivityTrackerTest::provideUpdate()'],['../classalexa_client_s_d_k_1_1afml_1_1test_1_1_visual_activity_tracker_test.html#a10cef8ada8958b1b4fe377f2b587afbe',1,'alexaClientSDK::afml::test::VisualActivityTrackerTest::provideUpdate()']]],
  ['publishcapabilities',['publishCapabilities',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_delegate_interface.html#a750d574c995ffeeeeef3560278889eed',1,'alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesDelegateInterface::publishCapabilities()'],['../classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#a64dcca955fdcb64bd9c069596c588b78',1,'alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate::publishCapabilities()']]],
  ['publishcapabilitiesasyncwithretries',['publishCapabilitiesAsyncWithRetries',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_capabilities_delegate_interface.html#abe7c6847acb9c64a5c9a6b03b303ab43',1,'alexaClientSDK::avsCommon::sdkInterfaces::CapabilitiesDelegateInterface::publishCapabilitiesAsyncWithRetries()'],['../classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html#a66b92bae6eb650b88c9a179fabb02534',1,'alexaClientSDK::capabilitiesDelegate::CapabilitiesDelegate::publishCapabilitiesAsyncWithRetries()']]],
  ['put',['put',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a5652334db7623e0ebb765db25a29b539',1,'alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface::put()'],['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1test_1_1_stub_misc_storage.html#af4396caba80bc69964f693d16f854ec6',1,'alexaClientSDK::avsCommon::sdkInterfaces::storage::test::StubMiscStorage::put()'],['../classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#aded9cddecd7b4eb57e999c7ad6972c88',1,'alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::put()'],['../classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_misc_storage.html#a5c5ae09702f5aaaf757c51c38550f9b2',1,'alexaClientSDK::storage::sqliteStorage::SQLiteMiscStorage::put()']]]
];
